# This file created by conda-build 3.17.8
# meta.yaml template originally from:
# C:\ci\containers\00001fa3p5d\tmp\build\80754af9\rsync-recipes\hdf5-1.10.6-on-winbuilder, last modified Thu Jun 25 21:56:44 2020
# ------------------------------------------------

package:
    name: hdf5
    version: 1.10.6
source:
    sha256: 5f9a3ee85db4ea1d3b1fa9159352aebc2af72732fc2f58c96a3f0768dba0e9aa
    url: https://support.hdfgroup.org/ftp/HDF5/releases/hdf5-1.10/hdf5-1.10.6/src/hdf5-1.10.6.tar.gz
build:
    number: '0'
    run_exports:
        - hdf5 >=1.10.6,<1.10.7.0a0
    string: h7ebc959_0
requirements:
    build:
        - cmake 3.17.2 h33f27b4_0
        - intel-fortran_win-64 2019.0.0 hf4e3f46_1
        - jom 1.1.2 h3bd88b9_0
        - vs2015_runtime 14.16.27012 hf0eaf9b_2
        - vs2017_win-64 19.16.27032.1 hb4161e2_2
        - vswhere 2.7.1 h21ff451_0
    host:
        - icc_rt 2019.0.0 h0cc432a_1
        - vc 14.1 h0510ff6_4
        - vs2015_runtime 14.16.27012 hf0eaf9b_2
        - zlib 1.2.11 h62dcd97_4
    run:
        - icc_rt >=2019.0.0
        - vc >=14.1,<15.0a0
        - vs2015_runtime >=14.16.27012,<15.0a0
        - zlib >=1.2.11,<1.3.0a0
test:
    commands:
        - where gif2h5
        - where h52gif
        - where h5copy
        - where h5debug
        - where h5diff
        - where h5dump
        - where h5import
        - where h5jam
        - where h5ls
        - where h5mkgrp
        - where h5repack
        - where h5repart
        - where h5stat
        - where h5unjam
        - if not exist %PREFIX%\\Library\\lib\\hdf5.lib exit 1
        - if not exist %PREFIX%\\Library\\bin\\hdf5.dll exit 1
        - if not exist %PREFIX%\\Library\\lib\\hdf5_cpp.lib exit 1
        - if not exist %PREFIX%\\Library\\bin\\hdf5_cpp.dll exit 1
        - if not exist %PREFIX%\\Library\\lib\\hdf5_hl.lib exit 1
        - if not exist %PREFIX%\\Library\\bin\\hdf5_hl.dll exit 1
        - if not exist %PREFIX%\\Library\\lib\\hdf5_hl_cpp.lib exit 1
        - if not exist %PREFIX%\\Library\\bin\\hdf5_hl_cpp.dll exit 1
    files:
        - compound_fortran2003.f90
        - h5_cmprss.c
        - h5_cmprss.f90
        - h5tutr_cmprss.cpp
    requires:
        - intel-fortran_win-64 2019.0.0.*
        - vs2017_win-64
about:
    description: 'HDF5 supports an unlimited variety of datatypes, and is designed
        for

        flexible and efficient I/O and for high volume and complex data.

        '
    dev_url: https://www.hdfgroup.org/HDF5/release/obtain5.html
    doc_url: https://www.hdfgroup.org/HDF5/doc/
    home: http://www.hdfgroup.org/HDF5/
    license: HDF5
    license_family: BSD
    license_file: COPYING
    summary: HDF5 is a data model, library, and file format for storing and managing
        data
extra:
    copy_test_source_files: true
    final: true
    recipe-maintainers:
        - astrofrog
        - gillins
        - groutr
        - jakirkham
        - marqh
        - msarahan
        - ocefpaf
